Get Agent

Get agent metadata.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Response

Successful Response
idstring

Stable agent ID (ag_<nanoid>) used for API routing

namestring
Agent name
descriptionstring or nullOptional
Agent description
input_schemamap from strings to any or nullOptional
Input JSON schema
output_schemamap from strings to any or nullOptional
Output JSON schema
categorieslist of stringsOptional
Category IDs for discovery and filtering
cadenceenumOptionalDefaults to on_demand

§2.4 session routing cadence (configured in agents.yaml)

uiobjectOptional
UI metadata

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error